## org.undp.weblog
Class WebLog

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.domain.ObservableDomainObject
              com.arsdigita.kernel.ACSObject
                  org.undp.weblog.WebLog

public class WebLog
extends com.arsdigita.kernel.ACSObject

Author:
  Peter Kopunec

Field Summary
`static String` `BASE_DATA_OBJECT_TYPE`
`static String` `PARAM_APPLICATION`
`static String` `PARAM_BODY`
`static String` `PARAM_LEAD`
`static String` `PARAM_MODIFIED`
`static String` `PARAM_OWNER`
`static String` `PARAM_TITLE`

Fields inherited from class com.arsdigita.kernel.ACSObject
`CONTAINER, DEFAULT_DOMAIN_CLASS, DISPLAY_NAME, ID, OBJECT_TYPE, versionId`

Constructor Summary
`WebLog()`
`WebLog(BigDecimal id)`
`WebLog(com.arsdigita.persistence.DataObject dataObject)`

Method Summary
`protected void` `afterSave()`
`protected void` `beforeDelete()`
`protected void` `beforeSave()`
`WebLogApplication` `getApplication()`
`protected String` `getBaseDataObjectType()`
`String` `getBody()`
`com.arsdigita.persistence.DataCollection` `getComments()`
`String` `getLead()`
`Date` `getModified()`
`com.arsdigita.kernel.User` `getOwner()`
`String` `getTitle()`
`void` `setApplication(WebLogApplication app)`
`void` `setBody(String body)`
`void` `setLead(String lead)`
`void` `setOwner(com.arsdigita.kernel.User owner)`
`void` `setTitle(String title)`

Methods inherited from class com.arsdigita.kernel.ACSObject
`assertPrivilege, checkPrivilege, doCreateCheck, doWriteCheck, getContainer, getDefaultDomainClass, getDisplayName, getID, getSpecificObjectType, getSpecificOID, gimmeContainer, initialize, isContainerModified, setID, setID`

Methods inherited from class com.arsdigita.domain.ObservableDomainObject
`addObserver, getObservers`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, afterDelete, clear, delete, disconnect, equals, get, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, set, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

### PARAM_TITLE

    public static final String PARAM_TITLE

See Also:
  Constant Field Values

### PARAM_LEAD

    public static final String PARAM_LEAD

See Also:
  Constant Field Values

### PARAM_BODY

    public static final String PARAM_BODY

See Also:
  Constant Field Values

### PARAM_MODIFIED

    public static final String PARAM_MODIFIED

See Also:
  Constant Field Values

### PARAM_APPLICATION

    public static final String PARAM_APPLICATION

See Also:
  Constant Field Values

### PARAM_OWNER

    public static final String PARAM_OWNER

See Also:
  Constant Field Values

Constructor Detail

### WebLog

    public WebLog()

### WebLog

    public WebLog(com.arsdigita.persistence.DataObject dataObject)

### WebLog

    public WebLog(BigDecimal id)

Method Detail

### getBaseDataObjectType

    protected String getBaseDataObjectType()

### setTitle

    public void setTitle(String title)

### setLead

    public void setLead(String lead)

### setBody

    public void setBody(String body)

### setApplication

    public void setApplication(WebLogApplication app)

### setOwner

    public void setOwner(com.arsdigita.kernel.User owner)

### getTitle

    public String getTitle()

### getLead

    public String getLead()

### getBody

    public String getBody()

### getModified

    public Date getModified()

### getApplication

    public WebLogApplication getApplication()

### getOwner

    public com.arsdigita.kernel.User getOwner()

### beforeSave

    protected void beforeSave()

### beforeDelete

    protected void beforeDelete()

### getComments

    public com.arsdigita.persistence.DataCollection getComments()

### afterSave

    protected void afterSave()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1153 UTC